List showbacks
curl --request GET \
--url https://api.nops.io/v1/cost-allocation \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/cost-allocation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/cost-allocation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/cost-allocation"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": 1,
"name": "Engineering",
"active": true,
"allocationTagType": null,
"tagKeys": [],
"extraValues": [],
"hideValues": [],
"removedShowbackValues": [],
"baseFilterJson": null,
"isLocked": false,
"created": "2026-07-17T12:00:00.000Z",
"modified": "2026-07-17T12:00:00.000Z",
"ruleCount": 2
}
],
"pagination": {
"limit": 50,
"has_more": false,
"next_cursor": null
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Cost allocation
List showbacks
GET
https://api.nops.io
/
v1
/
cost-allocation
List showbacks
curl --request GET \
--url https://api.nops.io/v1/cost-allocation \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/cost-allocation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/cost-allocation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/cost-allocation"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": 1,
"name": "Engineering",
"active": true,
"allocationTagType": null,
"tagKeys": [],
"extraValues": [],
"hideValues": [],
"removedShowbackValues": [],
"baseFilterJson": null,
"isLocked": false,
"created": "2026-07-17T12:00:00.000Z",
"modified": "2026-07-17T12:00:00.000Z",
"ruleCount": 2
}
],
"pagination": {
"limit": 50,
"has_more": false,
"next_cursor": null
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key from Settings → Security → API Keys. Pass as Authorization: Bearer YOUR_API_KEY.
Query Parameters
Maximum items to return (1–200, default 50).
Required range:
1 <= x <= 200Opaque cursor from a previous response's pagination.next_cursor.
Was this page helpful?
⌘I